\name{sendmail}
\alias{sendmail}
\title{
  Send E-mails with Blat
}
\description{
  Send E-mails with Blat
}
\usage{
sendmail(path, filename,
         to, cc = NULL, bcc = NULL, f, replyto = NULL,
         subject, body = NULL,
         port, server, u, pw,
         attach = NULL, log = NULL,
         wait = TRUE)
}
\arguments{
  \item{path}{
    the path to Blat (including \code{.exe})
  }
  \item{filename}{
    the body (a text file including path)
  }
  \item{to}{
    character vector of email adresses, or a length-one character vector
    like

    "name1@server.com,name2@server.com" (ie, comma-separated)
  }
  \item{cc}{
    format like \code{to}
  }
  \item{bcc}{
    format like \code{to}
  }
  \item{f}{
    from: a length-one character vector
  }
  \item{replyto}{
    format like \code{to}
  }
  \item{subject}{
    a length-one character vector
  }
  \item{body}{
    A character vector. Defaults to \code{NULL}; ignored if \code{filename} is specified.
  }
  \item{port}{
    integer
  }
  \item{server}{
    smtp server
  }
  \item{u}{
    user name
  }
  \item{pw}{
    password
  }
  \item{attach}{
    character vector of filenames, including the full path name
  }
  \item{log}{
    path to logfile. If the logfile already exists, it will be
    overwritten without warning.
  }
  \item{wait}{
    Should the call to system wait?
  }
}
\details{

  The function relies on \code{\link{normalizePath}} to be less
  sensitive to alternative ways to define paths (eg, with forward or
  backward slashes).
}
\value{
  The value returned by \code{\link{system}}.
}
\references{
  See the Blat homepage \url{http://blat.net}.
}
\author{

  Enrico Schumann

}
\examples{
\dontrun{
browseURL("http://blat.net")

sendmail(path = "/Tools/blat275/full/blat.exe",
         filename = "/Test/body.txt",
         to = "tic@toc.net, f = "toc@tic.net",
         subject = "tictoc",
         port = 587, server = "nonsense.net",
         u = "myusername", pw = "mypassword")
}
}
